﻿using System.Collections;
using System.Collections.Generic;
using System.Windows.Controls;

namespace RowsAsColumns
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            IList<Customer> customers = Customer.GetAll();
            IEnumerable transposed = customers.Transpose();

            GridView.ItemsSource = customers;
            GridViewTransposed.ItemsSource = new ProxyEnumerable(transposed);
        }
    }
}